Accounts - Get Status

A RecommendationsService-fiók állapotát adja vissza.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecommendationsService/accounts/{accountName}/status?api-version=2022-02-01

URI-paraméterek

Name In Kötelező Típus Description
accountName
path True

string

A RecommendationsService-fiók erőforrásának neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

subscriptionId
path True

string

minLength: 1

A cél-előfizetés azonosítója.

api-version
query True

string

minLength: 1

A művelethez használni kívánt API-verzió.

Válaszok

Name Típus Description
200 OK

AccountStatus

A fiók állapota.

Other Status Codes

ErrorResponse

Hibaválasz, amely leírja, hogy miért nem sikerült a művelet.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation Megszemélyesítse a felhasználói fiókját.

Példák

Get account status - no Modeling resource exists
Get RecommendationsService Account status - Modeling resource exists

Get account status - no Modeling resource exists

Mintakérelem

POST https://management.azure.com/subscriptions/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/resourceGroups/rg/providers/Microsoft.RecommendationsService/accounts/sampleAccount/status?api-version=2022-02-01

Mintaválasz

{}

Get RecommendationsService Account status - Modeling resource exists

Mintakérelem

POST https://management.azure.com/subscriptions/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/resourceGroups/rg/providers/Microsoft.RecommendationsService/accounts/sampleAccount/status?api-version=2022-02-01

Mintaválasz

{
  "scopesStatuses": [
    {
      "scope": "modeling1",
      "statuses": [
        {
          "stage": "DataAccess",
          "status": "Success",
          "time": "2021-08-31T17:15:31.2485861Z"
        },
        {
          "stage": "DataValidation",
          "status": "Failed",
          "time": "2021-08-31T17:16:31.2485861Z"
        },
        {
          "stage": "Model",
          "status": "Pending",
          "time": "2021-08-31T17:17:31.2485861Z"
        }
      ]
    }
  ]
}

Definíciók

Name Description
AccountStatus

Fiók állapota.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

ScopeStatuses

Hatókör állapotai.

StageStatus

Szakasz állapota.

AccountStatus

Fiók állapota.

Name Típus Description
scopesStatuses

ScopeStatuses[]

A hatókörök állapotainak listája.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hibacél.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

ScopeStatuses

Hatókör állapotai.

Name Típus Description
scope

string

A hatókör, amelyre az állapotok hivatkoznak.

statuses

StageStatus[]

Hatókör fázisának állapotai.

StageStatus

Szakasz állapota.

Name Típus Description
stage

string

A szakasz neve.

status

string

A szakasz állapota.

time

string (date-time)

Az állapot időpontja.